tt_ptype_declare(library call)

NAME
tt_ptype_declare — register the process type with the ToolTalk service

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_ptype_declare(
const char *ptid);

DESCRIPTION

The tt_ptype_declare function registers the process type with the ToolTalk service.

The ptid argument is the character string specified in the ptype that uniquely identifies this process.

RETURN VALUE

Upon successful completion, the tt_ptype_declare function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PTYPE
    The specified process type is not the name of an installed process type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).